/**
 * Inspired by https://hugogiraudel.com/2014/01/13/sass-string-replacement-function/
 */

@function str-replace($string, $search, $replace: '') {
  $index: str-index($string, $search);

  @if(type-of($index) == 'number') {
    @if ($index > 0) {
      $replace-string: quote(str-slice($string, 1, $index - 1));

      @for $i from $index through str-length($string) {
        @if $i < $index or $i >= $index + str-length($search) {
          $replace-string: $replace-string + str-slice($string, $i, $i);
        }
      }

      $string: $replace-string;
    }
  }

  @return $string;
}
